;===================================================================
; Protos.inc
;
;	This contains all of the prototypes that we need to use the
;	functions in this program.
;
;	Any procedure we define will have its prototype placed here.
;
;===================================================================

;#################################################################################
;#################################################################################
; THE PROTOTYPES
;#################################################################################
;#################################################################################
	
	;==================================
	; Main Program Procedures
	;==================================
	WinMain PROTO  		:DWORD,:DWORD,:DWORD,:DWORD
	WndProc PROTO  		:DWORD,:DWORD,:DWORD,:DWORD

	;===================================
	; Main Game procedures
	;===================================
	Game_Init PROTO
	Game_Main PROTO
	Game_Shutdown PROTO

	;=========================================
	; The Managing Procedures for DirectDraw
	;=========================================
	DD_Init PROTO		:DWORD, :DWORD, :DWORD
	DD_ShutDown PROTO

	;=========================================
	; Locking and unlocking surfaces
	;=========================================
	DD_Lock_Surface PROTO	:DWORD, :DWORD
	DD_Unlock_Surface PROTO	:DWORD

	;=========================================
	; Surface Creation
	;=========================================
	DD_Create_Surface PROTO	:DWORD, :DWORD, :DWORD

	;========================================
	; Buffering procedures
	;========================================
	DD_Flip PROTO

	;========================================
	; Just a surface filler
	;========================================
	DD_Fill_Surface PROTO	:DWORD, :DWORD, :DWORD, :DWORD

	;========================================
	; Draw text on the passed surface
	;========================================
	DD_Draw_Text PROTO	:DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD

	;========================================
	; Load BMPs into direct draw surfaces
	;========================================
	DD_Load_Bitmap PROTO	:DWORD, :DWORD, :DWORD

	;========================================
	; Get the pixel format for the surfaces
	;========================================
	DD_Get_RGB_Format PROTO	:DWORD

	;========================================
	; The bitmap routines
	;========================================
	Create_From_SFP PROTO	:DWORD, :DWORD, :DWORD
	Draw_Bitmap PROTO	:DWORD, :DWORD, :DWORD, :DWORD


